> For the complete documentation index, see [llms.txt](https://docs.partner.aboutyou.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.partner.aboutyou.com/api/orders-and-shipment/ship-order-items.md).

# Ship Order Items

## Ship Order Items

> \*\*Rate limit:\*\* 200 requests per minute

```json
{"openapi":"3.1.0","info":{"title":"Sellers Center API","version":"1.0.0"},"security":[{"APIKeyAuth":[]}],"components":{"securitySchemes":{"APIKeyAuth":{"type":"apiKey","in":"header","name":"X-API-Key"}},"schemas":{"BatchRequestResponseSchema":{"properties":{"batchRequestId":{"description":"ID of the asynchronous batch request. Identical payloads from the same merchant within the deduplication window return the existing in-flight ID instead of queuing a new batch. Poll the results endpoint with this ID to retrieve the outcome.","format":"uuid","title":"Batchrequestid","type":"string"}},"required":["batchRequestId"],"title":"BatchRequestResponseSchema","type":"object"},"BadRequestSchema":{"properties":{"message":{"description":"Error message","title":"Message","type":"string"}},"required":["message"],"title":"BadRequestSchema","type":"object"},"ShipmentRequestSchema":{"properties":{"items":{"description":"List of shipments.","items":{"$ref":"#/components/schemas/ShipmentItemSchema"},"minItems":1,"title":"Items","type":"array"}},"required":["items"],"title":"ShipmentRequestSchema","type":"object"},"ShipmentItemSchema":{"properties":{"order_items":{"description":"List of order item ids to ship.","items":{"description":"ID (integer) of this property","minimum":1,"type":"integer"},"minItems":1,"title":"Order Items","type":"array"},"carrier_key":{"description":"Carrier key of the shipment. Must be a valid active carrier key. Use GET /orders/carriers/ to retrieve available carrier keys.","title":"Carrier Key","type":"string"},"shipment_tracking_key":{"description":"Tracking key of the shipment","maxLength":255,"minLength":1,"title":"Shipment Tracking Key","type":"string"},"return_tracking_key":{"description":"Return tracking key","maxLength":255,"minLength":1,"title":"Return Tracking Key","type":"string"}},"required":["order_items","carrier_key","shipment_tracking_key","return_tracking_key"],"title":"ShipmentItemSchema","type":"object"}}},"paths":{"/api/v1/orders/ship":{"post":{"operationId":"scapi_app_endpoints_order_api_ship_order_items","summary":"Ship Order Items","parameters":[],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BatchRequestResponseSchema"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BadRequestSchema"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BadRequestSchema"}}}},"default":{"headers":{"X-RateLimit-Limit":{"description":"Total requests allowed in the time window","schema":{"type":"integer"}},"X-RateLimit-Remaining":{"description":"Remaining requests in the current window","schema":{"type":"integer"}}}}},"description":"**Rate limit:** 200 requests per minute","tags":["Orders"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ShipmentRequestSchema"}}},"required":true}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.partner.aboutyou.com/api/orders-and-shipment/ship-order-items.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
